### Function

# GLib unichar_validate

since: 2.0

#### Declaration

    gboolean
    g_unichar_validate (
      gunichar ch
    )

#### Description

Checks whether `ch` is a valid Unicode character. Some possible integer values of `ch` will not be valid. 0 is considered a valid character, though it’s normally a string terminator.

Available since: 2.0

#### Parameters

`ch`

  Type: `gunichar`

  A Unicode character.

#### Return value

Type: `gboolean`

`TRUE` if `ch` is a valid Unicode character.